@extends('admin.layout')

@section('content')

<div class="content-wrapper"> 

  <!-- Content Header (Page header) -->

  <section class="content-header">

    <h1> Add Review <small> Add Review...</small> </h1>

    <ol class="breadcrumb">

       <li><a href="{{ URL::to('admin/dashboard/this_month') }}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>

      <li><a href="{{ URL::to('admin/products')}}"><i class="fa fa-dashboard"></i> Review list</a></li>

      <li class="active"> Add Review</li>

    </ol>

  </section>

  

  <!-- Main content -->

  <section class="content"> 

    <!-- Info boxes --> 

    

    <!-- /.row -->



    <div class="row">

      <div class="col-md-12">

        <div class="box">

          <div class="box-header">

            <h3 class="box-title">{{ trans('labels.AddNewProduct') }} </h3>

          </div>

          

          <!-- /.box-header -->

          <div class="box-body">

            <div class="row">

              <div class="col-xs-12">

                    <div class="box box-info">

                        <!-- form start -->                        

                         <div class="box-body">

                          @if( count($errors) > 0)

                            @foreach($errors->all() as $error)

                                <div class="alert alert-danger" role="alert">

                                    <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>

                                    <span class="sr-only">{{ trans('labels.Error') }}:</span>

                                    {{ $error }}

                                </div>

                             @endforeach

                          @endif

                        

                            {!! Form::open(array('url' =>'admin/storereviews', 'method'=>'post', 'class' => 'form-horizontal form-validate', 'enctype'=>'multipart/form-data')) !!}             

                            	<div class="form-group">

                                  <label for="name" class="col-sm-2 col-md-3 control-label">Select Product </label>

                                  <div class="col-sm-10 col-md-4">

                                      <select class="form-control field-validate prodcust-type" name="product_id" readonly="" >

                                          <option value="">Select Product</option>

                                           @if(count($result['products'])>0)

                                              @foreach($result['products'] as $product)

                                              <option value="{{$product->products_id}}" >{{$product->products_name}}</option>

                                              @endforeach

                                        @endif

                                   </select>

                                   <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">

                                   Please choose product .

                                   </span>

                                  </div>

                                </div>

                                

                                <hr>                                           

                               	<div class="form-group">

                                  <label for="name" class="col-sm-2 col-md-3 control-label">Select Customer </label>

                                  <div class="col-sm-10 col-md-4">

                                      <select class="form-control field-validate prodcust-type" name="customer_id" readonly="" >

                                          <option value="">Select Customer</option>

                                           @if(count($result['customer'])>0)

                                            @foreach($result['customer'] as $cust)

                                              <option value="{{$cust->customers_id}}">{{$cust->customers_firstname.''.$cust->customers_lastname}}</option>

                                              @endforeach

                                        @endif

                                   </select>

                                   <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">

                                   Please choose customer .

                                   </span>

                                  </div>

                                </div>

                              

                               	<div class="form-group">

                                  <label for="name" class="col-sm-2 col-md-3 control-label">Select Rating Count </label>

                                  <div class="col-sm-10 col-md-4">

                                      <select class="form-control field-validate prodcust-type" name="rating_count" readonly="" >

                                          <option value="">Select Rating Count</option>

                                           <option value="1">1</option>

                                            <option value="2">2</option>

                                             <option value="3">3</option>

                                              <option value="4">4</option>

                                               <option value="5">5</option>

                                   </select>

                                   <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">

                                   Please choose rating count .

                                   </span>

                                  </div>

                                </div>

                                <div class="form-group">

                                  <label for="name" class="col-sm-2 col-md-3 control-label">Review </label>

                                  <div class="col-sm-10 col-md-4">

                                     <textarea class="form-control field-validate prodcust-type" name="reviews" id="reviews" ></textarea>

                                 

                                   <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">

                                   Please enter customer reviews .

                                   </span>

                                  </div>

                                </div>

                                <div class="form-group">

                                  <label for="name" class="col-sm-2 col-md-3 control-label">Status </label>

                                  <div class="col-sm-10 col-md-4">

                                      <select class="form-control field-validate prodcust-type" name="status" readonly="" >

                                          <option value="">Select Status</option>

                                           <option value="1">Active</option>

                                            <option value="0">InActive</option>

                                           

                                   </select>

                                   <span class="help-block" style="font-weight: normal;font-size: 11px;margin-bottom: 0;">

                                   Please choose reviews status.

                                   </span>

                                  </div>

                                </div>

                                    

                                   

                                </div>

                                

                              

                              <!-- /.box-body -->

                              <div class="box-footer text-center">

                                <button type="submit" class="btn btn-primary pull-right"  id="normal-btn">Add Reviews <i class="fa fa-angle-right 2x"></i></button>

                              

                              </div>

                              

                              <!-- /.box-footer -->

                            {!! Form::close() !!}

                        </div>

                  </div>

              </div>

            </div>

            

          </div>

          <!-- /.box-body --> 

        </div>

        <!-- /.box --> 

      </div>

      <!-- /.col --> 

    </div>

    <!-- /.row --> 

    

    <!-- Main row --> 

    

    <!-- /.row --> 

  </section>

  <!-- /.content --> 

</div>

<script src="{!! asset('resources/views/admin/plugins/jQuery/jQuery-2.2.0.min.js') !!}"></script>

<script type="text/javascript">

		$(function () {

			

			//for multiple languages

			@foreach($result['languages'] as $languages)

				// Replace the <textarea id="editor1"> with a CKEditor

				// instance, using default configuration.

				CKEDITOR.replace('editor{{$languages->languages_id}}');

			

			@endforeach

			

			//bootstrap WYSIHTML5 - text editor

			$(".textarea").wysihtml5();

			

    });

</script>

@endsection 

