@extends('admin.layout')
@section('content')
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1> Mail <small>{{ trans('labels.AllSentMail') }}...</small> </h1>
    <ol class="breadcrumb">
      <li><a href="{{ URL::to('admin/dashboard/this_month')}}"><i class="fa fa-dashboard"></i> {{ trans('labels.breadcrumb_dashboard') }}</a></li>
      <li class="active">{{ trans('labels.SentMailList') }}</li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="content">
    <!-- Info boxes -->

    <!-- /.row -->

    <div class="row">
      <div class="col-md-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">{{ trans('labels.AllSentMail') }} </h3>
            {{--<div class="box-tools pull-right">--}}
            	{{--<a href="{{ URL::to('admin/addcustomers')}}" type="button" class="btn btn-block btn-primary">{{ trans('labels.AddNewCustomers') }}</a>--}}
            {{--</div>--}}
          </div>

          <!-- /.box-header -->
          <div class="box-body">
            <div class="row">
              <div class="col-xs-12">

				  @if (count($errors) > 0)
					  @if($errors->any())
						<div class="alert alert-success alert-dismissible" role="alert">
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						  {{$errors->first()}}
						</div>
					  @endif
				  @endif
              </div>

            </div>
            <div class="row">
              <div class="col-xs-12">
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                    <tr>
                      <th>{{ trans('labels.ID') }}</th>
                      <th>{{ trans('labels.Email') }}</th>
                      <th>{{ trans('labels.Subject') }}</th>
                      <th>{{ trans('labels.Body') }}</th>
                      <th>{{ trans('labels.Status') }}</th>
                      <th>{{ trans('labels.CreatedDate') }}</th>

                    </tr>
                  </thead>
                  <tbody>
                   @if (count($result) > 0)
						@foreach ($result  as $key=>$item)
							<tr>
								<td>{{ $item->id }}</td>
								<td>{{ $item->email }}</td>
								<td>{{ $item->subject }}</td>
								<td>{{stripslashes($item->message)}}</td>
								@if($item->status)
								<td><span class="label label-success">Completed</span></td>
								@else
                                  	<td><span class="label label-warming">Pending</span></td>
                                @endif
							  <td>{{  date("d-m-Y", strtotime($item->created_date))}}</td>
							</tr>
						@endforeach
                    @else
                    	<tr>
							<td colspan="4">{{ trans('labels.NoRecordFound') }}</td>
						</tr>
                    @endif
                  </tbody>
                </table>
                @if (count($result) > 0)
					<div class="col-xs-12 text-right">
{{--						{{$result->links('vendor.pagination.default')}}--}}
					</div>
                 @endif
              </div>
            </div>
          </div>
          <!-- /.box-body -->
        </div>
        <!-- /.box -->
      </div>
      <!-- /.col -->
    </div>

    <!-- /.row -->


    <div class="modal fade" id="notificationModal" tabindex="-1" role="dialog" aria-labelledby="notificationModalLabel">
	  <div class="modal-dialog" role="document">
		<div class="modal-content notificationContent">

		</div>
	  </div>
	</div>

    <!-- Main row -->

    <!-- /.row -->
  </section>
  <!-- /.content -->
</div>
@endsection